Commit 12e39efb authored by Rémi Denis-Courmont's avatar Rémi Denis-Courmont

Mozilla plugin requires XCB window plugin which requires xcb-keysyms

Otherwise we cannot render videos with X11 (and fallback to
non-embedded SDL or ASCII).
parent 2272dbd8
......@@ -4482,6 +4482,9 @@ then
],[
AC_MSG_ERROR([Please install the libXpm and libXt development files.])
])
AS_IF([test "${have_xcb_keysyms}" != "yes"], [
AC_MSG_ERROR([Please install xcb-keysyms from xcb-utils.])
])
])
])
VLC_ADD_CPPFLAGS([mozilla],[${CPPFLAGS} ${XPM_CFLAGS}])
......@@ -4511,6 +4514,9 @@ then
[[${X_LIBS} ${X_PRE_LIBS} -lX11 -lSM -lICE -lXpm]
])
AC_CHECK_HEADERS(X11/xpm.h,,AC_MSG_ERROR([Please install libXpm-devel library for required X11/xpm.h]))
AS_IF([test "${have_xcb_keysyms}" != "yes"], [
AC_MSG_ERROR([Please install xcb-keysyms from xcb-utils.])
])
LDFLAGS="${LDFLAGS_save}"
fi
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment